<?php
/*************************************************************************************
 * tagz.php
 * -------
 * Author: Leo Borisenko (leo.borisenko@gmail.com)
 * Copyright: (c) 2006 Leo Borisenko (http://cxxl.info)
 * Release Version: 1.0.7.7
 * CVS Revision Version: $Revision: 1.13 $
 * Date Started: 2006/06/10
 * Last Modified: $Date: 2006/04/23 00:15:26 $ 
 *
 * Foobar2000 titleformat script language file for GeSHi.
 * http://www.foobar2000.com
 * http://wiki.hydrogenaudio.org/index.php?
 *       title=Foobar2000:Titleformat_Reference
 *
 * CHANGES
 * -------
 * 2006/06/10 (1.0.0)
 *   -  First Release
 *
 * TODO (updated 2006/06/10)
 * -------------------------
 *   - Insert real style color values instead of '' stubs.
 *************************************************************************************
 *
 *     This file is part of GeSHi.
 *
 *   GeSHi is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   GeSHi is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with GeSHi; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 ************************************************************************************/
 
$language_data = array (
    'LANG_NAME' => 'TAGZ',
    'COMMENT_SINGLE' => array( 1 => '//'),
    'COMMENT_MULTI' => array(),
    'CASE_KEYWORDS' => GESHI_CAPS_LOWER,
    'QUOTEMARKS' => array( "'" ),
    'ESCAPE_CHAR' => '',
    'KEYWORDS' => array(
        // Predefined fields
        1 => array(
            '%tracknumber%', '%track%', '%track artist%', '%title%',
            '%samplerate%', '%playlist_number%', '%filesize%', '%discnumber%',
            '%disc%', '%codec%', '%channels%', '%bitrate%', '%artist%',
            '%album%', '%album artist%' 
            ),
        // Control flow operations
        2 => array(
            '$select', '$iflonger', '$ifgreater', '$ifequal', '$if3', '$if2',
            '$if', '$if'
            ),
        // Information fields
        3 => array(
            '%subsong%', '%playlist_name%', '%playback_time_seconds%',
            '%playback_time_remaining_seconds%', '%playback_time_remaining%',
            '%playback_time%', '%path_raw%', '%path%', '%list_total%',
            '%list_index%', '%length_seconds_fp%', '%length_seconds%',
            '%length_samples%', '%length_ex%', '%length%', '%isplaying%',
            '%ispaused%', '%filename_ext%', '%filename%', '%directoryname%',
            '%_time_total_seconds%', '%_time_total%',
            '%_time_remaining_seconds%', '%_time_remaining%',
            '%_time_elapsed_seconds%', '%_subsong%',
            '%_playlist_total%', '%_playlist_number%', '%_playlist_name%',
            '%_path_raw%', '%_path%', '%_isplaying%', '%_ispaused%',
            '%_filename_ext%', '%_filename%', '%_directoryname%',
            '%__replaygain_track_peak%', '%__replaygain_track_gain%',
            '%__replaygain_album_peak%', '%__replaygain_album_gain%',
            '$tracknumber', '$meta_test', '$meta_sep', '$meta_num', '$meta',
            '$info', '$extra', '$codec', '$channels'
            ),
        // Functions
        4 => array(
            '$xor', '$upper', '$trim', '$transition', '$tab', '$substr', '$sub',
            '$strstr', '$strrchr', '$stricmp', '$strcmp', '$strchr',
            '$shortest', '$rot13', '$roman', '$right', '$rgb', '$replace',
            '$repeat', '$rand', '$progress2', '$progress', '$padcut_right',
            '$padcut', '$pad_right', '$pad', '$or', '$num', '$not', '$muldiv',
            '$mul', '$mod', '$min', '$max', '$lower', '$longest', '$longer',
            '$len2', '$len', '$left', '$insert', '$hex', '$greater', '$fix_eol',
            '$filename', '$ext', '$div', '$directory', '$cut', '$crlf',
            '$crc32', '$char', '$caps2', '$caps', '$blend', '$ansi', '$and',
            '$add', '$abbr'
            ),
        // Variables operations
        5 => array(
            '$puts', '$put', '$get'
            ),
        // Columns UI
        6 => array(
            'set_global', 'print', 'get_global', '$set_style', '$set_global',
            '$get_global'
            ),
        ),
    'SYMBOLS' => array(
        '[', ']', 
        ),
    'CASE_SENSITIVE' => array(
        GESHI_COMMENTS => false,
        1 => false,
        2 => false,
        3 => false,
        4 => false,
        5 => false,
        6 => false
        ),
    'STYLES' => array(
        'KEYWORDS' => array(
            1 => '',
            2 => '',
            3 => '',
            4 => '',
            5 => '',
            6 => '',
            ),
        'COMMENTS' => array(
            1 => '',
            ),
        'ESCAPE_CHAR' => array(
            ),
        'BRACKETS' => array(
            ),
        'STRINGS' => array(
            0 => '',
            ),
        'NUMBERS' => array(
            0 => '',
            ),
        'METHODS' => array(
            ),
        'SYMBOLS' => array(
            ),
        'SCRIPT' => array(
            ),
        'REGEXPS' => array(
            0 => '',
            1 => '',
            ),
        ),
    'URLS' => array(
        ),
    'OOLANG' => false,
    'OBJECT_SPLITTERS' => array(
        ),
    'REGEXPS' => array(
        // Common song information fields
        0 => array(
            GESHI_SEARCH => '(%[a-z0-9]+%)',
            GESHI_REPLACE => '\\1',
            GESHI_MODIFIERS => 'i',
            GESHI_BEFORE => '',
            GESHI_AFTER => ''
            ),
        // Common tecnical information fields
        1 => array(
            GESHI_SEARCH => '(%__[a-z0-9]+%)',
            GESHI_REPLACE => '\\1',
            GESHI_MODIFIERS => 'i',
            GESHI_BEFORE => '',
            GESHI_AFTER => ''
            ),
        ),
    'STRICT_MODE_APPLIES' => GESHI_NEVER,
    'SCRIPT_DELIMITERS' => array(
        ),
    'HIGHLIGHT_STRICT_BLOCK' => array(
        )
);
 
?>
 